
/* Entity Menus */

.entity-menu {
	& .col {
		display: flex;
		align-items: center;

		@media (--lt-sm) {
			display: block;
		}
	}

	& h1 {
		font-weight: var(--font-weight-semibold);
		font-size: 1.25rem;
		white-space: nowrap;
		overflow: hidden;
		text-overflow: ellipsis;
		flex-grow: 1;
	}

	& .entity-menu-links {
		display: block;

		@media (--sm) {
			display: flex;
		}

		& a {
			display: block;
			padding: 16px 20px;
			font-weight: var(--font-weight-semibold);
			font-size: 1rem;
			text-transform: capitalize;
			color: var(--color-blue-grey);

			&:hover {
				padding-bottom: 12px;
				text-decoration: none;
				border-bottom-width: 4px;
				border-bottom-style: solid;
			}

			&.active {
				padding-bottom: 14px;
				border-bottom-width: 2px;
				border-bottom-style: solid;
			}

			@media (--xs) {
				display: inline-block;
			}
		}
	}
}
